  body {
    display: flex;
    height: 100vh;
    flex-direction: column;
  }

  main {
    padding: 20px;
    flex: 1;
  }

  #map {
    display: block;
    width: 100%;
    height: 700px;
  }

  .grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(400px, 1fr));
    grid-auto-rows: 300px;
    grid-auto-flow: dense;
    gap: 16px;
  }

  .grid .long {
    grid-column: span 1;
    grid-row: span 2;
  }

  .grid .hero {
    grid-column: span 2;
    grid-row: span 2;
  }

  .grid img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    cursor: pointer;
    transition: transform 0.2s;
    border-radius: 6px;
  }

  @media (max-width: 800px) {

    .grid {
      grid-template-columns: 1fr;
      grid-auto-rows: auto;
      gap: 8px;
    }

    .grid .hero {
      grid-column: span 1;
      grid-row: span 1;
    }

    .grid img {
      width: 100%;
      /* scale down relative to container */
      height: auto;
      /* maintain aspect ratio */
    }
  }


  .grid img.hero:hover {
    transform: scale(1.02);
  }

  .grid img.long:hover {
    transform: scale(1.03);
  }

  .grid img:hover {
    transform: scale(1.04);
  }

  /* Lightbox overlay */
  .overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0, 0, 0, 0.8);
    justify-content: space-between;
    align-items: center;
    z-index: 100;
  }

  .overlay-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
  }

  .overlay-content img {
    max-width: 100%;
    max-height: 100%;
    width: auto;
    height: auto;
    object-fit: contain;
    border-radius: 4px;
  }

  .overlay-content .caption {
    display: flex;
    flex-direction: column;

    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;

    color: #fff;
    font-size: 18px;
    text-align: center;
  }

  .overlay-content .caption span {
    font-size: 40px;
    transition: transform 0.1s ease;
  }

  .overlay-content .caption p {
    max-height: 0;
    opacity: 0;
    margin: 0;
    overflow: hidden;
    transition: max-height 0.3s ease, opacity 0.2s ease, margin 0.2s ease;
  }

  .overlay-content .caption:active p,
  .overlay-content .caption:hover {
    background: linear-gradient(to top, rgba(0, 0, 0, 0.5), transparent);

  }

  .overlay-content .caption:active span,
  .overlay-content .caption:hover span {
    color: #baff00;
  }

  .overlay-content .caption:active p,
  .overlay-content .caption:hover p {
    max-height: 100px;
    /* adjust as needed */
    opacity: 1;
    margin: 18px;
  }


  .overlay .close {
    position: absolute;
    top: 0;
    right: 0;
    cursor: pointer;
    z-index: 10;
    padding: 40px;
  }

  .overlay .close .icon {
    width: 40px;
    height: 40px;
    stroke: white;
    stroke-width: 2;
    opacity: 0.5;
    fill: none;
  }



  .overlay .arrow {
    position: absolute;
    top: 0;
    bottom: 0;
    width: 120px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff;
    font-size: 40px;
    cursor: pointer;
    user-select: none;
    opacity: 0.5;
    z-index: 5;
  }

  .overlay .arrow.prev {
    left: 0;
  }

  .overlay .arrow.next {
    right: 0;
  }

  @media (hover: none) {
    .overlay .arrow:active {
      opacity: 1;
      color: #baff00;
    }

    .overlay .close:active .icon {
      stroke: #baff00;
      opacity: 1;
    }

    .overlay .arrow.next {
      background: linear-gradient(to left, rgba(0, 0, 0, 0.5), transparent);
    }

    .overlay .arrow.prev {
      background: linear-gradient(to right, rgba(0, 0, 0, 0.5), transparent);
    }

    .overlay .close:active {
      opacity: 1;
      background: radial-gradient(circle,
          rgba(0, 0, 0, 0.5) 0%,
          rgba(0, 0, 0, 0.2) 20%,
          transparent 75%);
    }
  }

  @media (hover: hover) {

    .overlay .arrow:hover {
      opacity: 1;
      color: #baff00;
    }

    .overlay .arrow.next:hover {
      background: linear-gradient(to left, rgba(0, 0, 0, 0.5), transparent);
    }

    .overlay .arrow.prev:hover {
      background: linear-gradient(to right, rgba(0, 0, 0, 0.5), transparent);
    }

    .overlay .close:hover .icon {
      stroke: #baff00;
      opacity: 1;
    }

    .overlay .close:hover {
      opacity: 1;
      background: radial-gradient(circle,
          rgba(0, 0, 0, 0.5) 0%,
          rgba(0, 0, 0, 0.2) 20%,
          transparent 66%);
    }
  }

    @media (max-width: 800px) {
    .overlay .close {
      padding: 10px;
    }

    .overlay .close .icon {
      width: 30px;
      height: 30px;
      stroke-width: 2;
    }

    .overlay .arrow {
      width: 60px;
      font-size: 30px;
    }

  }

  .about-panel {
    min-height: 100%;
    max-width: 600px;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    margin: 0 auto;
  }

  .about-panel h2 {
    text-decoration: underline;
    text-underline-offset: 10px;
    text-decoration-thickness: 2px;
    text-decoration-color: #baff00;
    letter-spacing: 0.05em;
    font-family: serif;
  }

  .about-panel p {
    font-size: 20px;
    line-height: 1.7;
    color: rgba(0, 0, 0, 0.67);
    margin: 10px 0;
  }

